Bug 1460073 - Guest reboot during data transfer with virtio serial port triggers "Virtqueue size exceeded"
Guest reboot during data transfer with virtio serial port triggers "Virtqueue...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: pagupta
Sitong Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 21:54 EDT by Sitong Liu
Modified: 2017-07-10 08:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-14 02:52:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitong Liu 2017-06-08 21:54:43 EDT
Description of problem:
Guest reboot during data transfer with virtio serial port triggers "Virtqueue size exceeded", qemu process quits.

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-126.el7_3.9 (fail)
qemu-kvm-1.5.3-126.el7_3.8 (fail)
qemu-kvm-1.5.3-126.el7_3.7 (fail)

kernel 3.10.0-514.el7.x86_64 (host and guest) (fail)
kernel 3.10.0-668.el7.x86_64 (host and guest) (fail)

How reproducible:
(4/4)

Steps to Reproduce:
1.boot up guest with the following cli

/usr/libexec/qemu-kvm -M pc -name seabios-test -enable-kvm -m 4G -cpu SandyBridge -smp 4,cores=4,threads=1,sockets=1,maxcpus=4 -nodefconfig \
-nodefaults -chardev socket,id=charmonitor,path=/tmp/126NICW10S64SOB,server,nowait \
-mon chardev=charmonitor,id=monitor,mode=control \
-rtc base=localtime,driftfix=slew -boot order=ncd,menu=on \
-vga std \
-vnc :2 \
-device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x4 \
-chardev socket,id=channel0,host=127.0.0.1,port=12345,server,nowait \
-device virtserialport,chardev=channel0,name=org.linux-kvm.port.0,bus=virtio-serial0.0,id=port1 \
-qmp tcp:0:6666,server,nowait \
-drive file=/home/kvm_autotest_root/images/rhel73-64-virtio.qcow2,if=none,id=drive-ide0-0-0,cache=none,werror=stop,rerror=stop,aio=threads \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -boot menu=on \
-device virtio-net-pci,netdev=tap10,mac=64:31:50:23:6d:63 \
-netdev tap,id=tap10 \
-monitor stdio

2. Transfering data from guest to host via port1 in a loop
//guest
for(;;)
do
    echo $a > /dev/vport1p1
    a=$(($a+1))
done

//host
nc 127.0.0.1 12345

3. ctrl+c host and guest, reboot guest, and repeat step 2.
repeat several times.

Actual results:
Qemu process quits, triggers "Virtqueue size exceeded".

Expected results:
Qemu works well after reboot.

Additional info:
It is not a regression bug.

Note You need to log in before you can comment on or make changes to this bug.